Search Redemption Code

Query Parameters
  • location_id
    Type: string

    Unique ID of a particular location. This is generated by Punchh.

  • redemption_code
    Type: string

    Redemption code of the user as generated on the app or web.

Headers
  • Authorization
    Type: string
    required

    Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".

Responses
  • application/json
  • application/json
Request Example for get/api2/dashboard/redemptions
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/redemptions \
  --header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE'
{
  "redemption_status": "processed",
  "created_at": "2016-10-07T01:36:10Z",
  "redeemable_id": null,
  "redemption_image_url": "IMAGE_URL_GOES_HERE",
  "redemption_message": "",
  "updated_at": "2016-10-07T01:36:10Z",
  "redemption_id": 3562961,
  "redemption_tracking_code": "6725261",
  "expiring_at": "2016-10-07T03:36:10Z",
  "redeemable_name": null,
  "redeemed_value": 8.05,
  "user": {
    "first_name": "FIRST_NAME_GOES_HERE",
    "last_name": "LAST_NAME_GOES_HERE",
    "email": "test@example.com",
    "avatar_remote_url": null
  }
}